#ifndef AUTOTESTS_SRC_STUB_SIDEBARADAPTOR_H
#define AUTOTESTS_SRC_STUB_SIDEBARADAPTOR_H

#include <QObject>
#include <QVariantMap>

class SidebarAdaptor : public QObject
{
    Q_OBJECT
public:
    explicit SidebarAdaptor(QObject *parent = nullptr) : QObject(parent) {}

public Q_SLOTS:
    void stateChange(const QString &module, const QVariantMap &data)
    {
        m_lastModule = module;
        m_lastData = data;
    }

    QString lastModule() const
    {
        return m_lastModule;
    }

    QVariantMap lastData() const
    {
        return m_lastData;
    }

private:
    QString m_lastModule;
    QVariantMap m_lastData;
};

#endif
